# see https://symfony.com/doc/current/reference/configuration/framework.html
framework:
    secret: '%env(APP_SECRET)%'
    #csrf_protection: true
    http_method_override: false
    handle_all_throwables: true

    # Enables session support. Note that the session will ONLY be started if you read or write from it.
    # Remove or comment this section to explicitly disable session support.
    session:
        handler_id: null
        cookie_secure: auto
        cookie_samesite: lax
        storage_factory_id: session.storage.factory.native

    #esi: true
    #fragments: true
    php_errors:
        log: true

    http_client:
        scoped_clients:
            siret_checking:
                base_uri: 'https://entreprise.data.gouv.fr/api/sirene/v3/etablissements/'
            openstreetmap:
                base_uri: 'https://nominatim.openstreetmap.org/'
            dolibarr_client:
                base_uri: '%env(DOLIBARR_API_BASE_URI)%'
                headers:
                    DOLAPIKEY: '%env(DOLIBARR_API_TOKEN)%'
                    Accept: 'application/json'
            typo3_client:
                base_uri: '%env(TYPO3_BASE_URI)%'
                headers:
                    Content-Type: 'application/json'
                    Accept: 'application/json'
            mobyt_client:
                base_uri: '%env(MOBYT_API_BASE_URI)%'
                headers:
                    Content-Type: 'application/json'
            apiLegacyClient:
                base_uri: '%env(API_LEG_BASE_URL)%'
